Bug 103104 - [BlackBerry] Should not autofill username and password when there're more than one password inputs on the same page
Summary: [BlackBerry] Should not autofill username and password when there're more tha...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Dong
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-23 00:44 PST by Jonathan Dong
Modified: 2012-11-26 02:54 PST (History)
7 users (show)

See Also:


Attachments
Patch (6.88 KB, patch)
2012-11-25 16:22 PST, Jonathan Dong
no flags Details | Formatted Diff | Diff
Patch (6.87 KB, patch)
2012-11-25 22:12 PST, Jonathan Dong
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Dong 2012-11-23 00:44:47 PST
RIM PR: 245334

If there're more than one password input field in the same page, we should not autofill the username and password we've saved.
Comment 1 Jonathan Dong 2012-11-25 16:22:01 PST
Created attachment 175894 [details]
Patch
Comment 2 Rob Buis 2012-11-25 16:30:43 PST
Comment on attachment 175894 [details]
Patch

LGTM.
Comment 3 WebKit Review Bot 2012-11-25 20:58:03 PST
Comment on attachment 175894 [details]
Patch

Rejecting attachment 175894 [details] from commit-queue.

New failing tests:
svg/W3C-SVG-1.1/animate-elem-78-t.svg
Full output: http://queues.webkit.org/results/14987480
Comment 4 Jonathan Dong 2012-11-25 22:00:05 PST
(In reply to comment #3)
> (From update of attachment 175894 [details])
> Rejecting attachment 175894 [details] from commit-queue.
> 
> New failing tests:
> svg/W3C-SVG-1.1/animate-elem-78-t.svg
> Full output: http://queues.webkit.org/results/14987480

I believe this is an occasional issue because this patch only affected the code for BlackBerry porting, and our porting haven't got a working DRT in webkit.org. I'll try again later.
Comment 5 Jonathan Dong 2012-11-25 22:12:18 PST
Created attachment 175922 [details]
Patch
Comment 6 WebKit Review Bot 2012-11-26 02:54:44 PST
Comment on attachment 175922 [details]
Patch

Clearing flags on attachment: 175922

Committed r135699: <http://trac.webkit.org/changeset/135699>
Comment 7 WebKit Review Bot 2012-11-26 02:54:48 PST
All reviewed patches have been landed.  Closing bug.